
# Sorting Algorithms Library

A Python package that provides a collection of well-known and fun sorting algorithms for use in various applications. The package offers an easy-to-use interface for importing and utilizing these algorithms in your Python projects.
## Installation

You can install the package via pip:

```
pip install sorting-techniques
```

## Sorting Algorithms

This library includes the following sorting techniques:

### Standard Sorting Algorithms
1. **Bubble sort**
2. **Selection sort**
3. **Insertion sort**
4. **Merge sort**
5. **Quick sort**
6. **Heap sort**
7. **Counting sort**
8. **Radix sort**
9. **MSD (Most Significant Digit) Radix sort**
10. **LSD (Least Significant Digit) Radix sort**
11. **Bucket sort**

### Fun Sorting Algorithms
1. **Bogo sort**
2. **Stalin sort**
3. **Sleep sort**
4. **Miracle sort**
5. **Slow sort**
6. **Shell sort**
7. **Cocktail Shaker sort**

## Usage

You can use any of these sorting algorithms by importing them from the package. For example:

```python
from sorting_techniques import bubble_sort

data = [5, 3, 8, 6, 2]
sorted_data = bubble_sort(data)
print(sorted_data)
```

## Contributing

Contributions to the library are welcome! Feel free to fork the repository and submit pull requests. We encourage adding new sorting algorithms or improving the performance of existing ones.

## License

This project is licensed under the [GPL-3.0 License](./LICENSE).
